<template>

<!-------------------------- 草稿箱功能列表 --------------------->
  <a-card :bordered="false">
    <!-- 查询区域 -->
    <div class="table-page-search-wrapper">
      <a-form layout="inline" @keyup.enter.native="searchQuery">
        <a-row :gutter="24">
          <a-col :xl="6" :lg="7" :md="8" :sm="24">
            <a-form-item label="地块">
              <a-input placeholder="请输入地块" v-model="queryParam.dk"></a-input>
            </a-form-item>
          </a-col>
        </a-row>
      </a-form>
    </div>
    <!-- 查询区域-END -->

    <!-- 操作按钮区域 -->


    <!-- table区域-begin -->
    <div>
      <div class="ant-alert ant-alert-info" style="margin-bottom: 16px;">
        <i class="anticon anticon-info-circle ant-alert-icon"></i> 已选择 <a style="font-weight: 600">{{ selectedRowKeys.length }}</a>项
        <a style="margin-left: 24px" @click="onClearSelected">清空</a>
      </div>

      <a-table
        ref="table"
        size="middle"
        :scroll="{x:true}"
        bordered
        rowKey="id"
        :columns="columns"
        :dataSource="dataSource"
        :pagination="ipagination"
        :loading="loading"
        :rowSelection="{selectedRowKeys: selectedRowKeys, onChange: onSelectChange}"
        class="j-table-force-nowrap"
        @change="handleTableChange">

        <template slot="htmlSlot" slot-scope="text">
          <div v-html="text"></div>
        </template>
        <template slot="imgSlot" slot-scope="text,record">
          <span v-if="!text" style="font-size: 12px;font-style: italic;">无图片</span>
          <img v-else :src="getImgView(text)" :preview="record.id" height="25px" alt="" style="max-width:80px;font-size: 12px;font-style: italic;"/>
        </template>
        <template slot="fileSlot" slot-scope="text">
          <span v-if="!text" style="font-size: 12px;font-style: italic;">无文件</span>
          <a-button
            v-else
            :ghost="true"
            type="primary"
            icon="download"
            size="small"
            @click="downloadFile(text)">
            下载
          </a-button>
        </template>

        <span slot="action" slot-scope="text, record">
                        <a-space>
                          <a-button v-has="'conten:bj'" v-if="record.sfsb===0" @click="handleEdit(record)">编辑</a-button>
                               <a-button @click="handleDetail(record)" type='primary'>查看</a-button>
                        </a-space>
                 <a-popconfirm title="确定删除吗?" @confirm="() => handleDelete(record.id)">
                  <a-button style="margin-left: 8px"    type='danger'>删除</a-button>
                </a-popconfirm>
        </span>

      </a-table>
    </div>
    <qc-ssgqzysytdqk-modal ref="modalForm" :toDk="this.dkxx" @ok="modalFormOk"></qc-ssgqzysytdqk-modal>

  </a-card>
</template>

<script>

  import '@assets/less/TableExpand.less'
  import { mixinDevice } from '@/utils/mixin'
  import { JeecgListMixin } from '@/mixins/JeecgListMixin'
  import QcSsgqzysytdqkModal from "@views/sydwqcsb/sydwdwzc/modules/QcSsgqzysytdqkModal";
  import {filterMultiDictText} from '@comp/dict/JDictSelectUtil'
  import { getAction } from '@api/manage'
  import { loadCategoryData } from '@api/api'
  import QcSsgqzysytdqkModal3 from "@views/sydwqcsb/sydwdwzc/modules/QcSsgqzysytdqkModal3";
  import store from '@/store'
  export default {
    name: 'QcSsgqzysytdqkList',
    mixins:[JeecgListMixin, mixinDevice],
    components: {
      QcSsgqzysytdqkModal,
      QcSsgqzysytdqkModal3
    },
    data () {
      return {
        dlr:false,
        isorter: {
          column: 'createBy',
          order: 'asc'
        },
        dkxx:{

        },
        description: '省属国企占有使用土地情况调查管理页面',
        // 表头
        columns: [
          {
            title: '#',
            dataIndex: '',
            key:'rowIndex',
            width:60,
            align:"center",
            customRender:function (t,r,index) {
              return parseInt(index)+1;
            }
          },
            {
                title:'用地单位名称',
                align:"center",
                dataIndex: 'createBy'
            },
          {
            title:'地块',
            align:"center",
            dataIndex: 'dk'
          },
          {
            title:'证书类型',
            align:"center",
            dataIndex: 'zslx_dictText'
          },
          {
            title:'证书/合同/文件编号',
            align:"center",
            dataIndex: 'wjbh'
          },
          {
            title:'土地使用权人',
            align:"center",
            dataIndex: 'tdsyqr'
          },
          {
            title:'使用权使用方式',
            align:"center",
            dataIndex: 'syqsyfs'
          },
          {
            title:'实际用途',
            align:"center",
            dataIndex: 'sjyt',
            customRender:
              (text) => (text ? filterMultiDictText(this.dictOptions['sjyt'], text) : '')
          },
          /*{
            title:'是否上报',
            align:"center",
            dataIndex: 'sfsb_dictText'
          },*/
          {
            title: '操作',
            dataIndex: 'action',
            align:"center",
            fixed:"right",
            width:147,
            scopedSlots: { customRender: 'action' }
          }
        ],
        url: {
          list: "/qcsb/qcSsgqzysytdqk/listStag",
          delete: "/qcsb/qcSsgqzysytdqk/deleteStag",
          deleteBatch: "/qcsb/qcSsgqzysytdqk/deleteBatch",
          exportXlsUrl: "/qcsb/qcSsgqzysytdqk/exportXls2",
          importExcelUrl: "qcsb/qcSsgqzysytdqk/importExcel2",
            sfsb:"/qcsb/qcSsgqzysytdqk/sfsb",
            sfch:"/qcsb/qcSsgqzysytdqk/sfch"
        },
        dictOptions:{},
        superFieldList:[],
      }
    },
    created() {
    this.getSuperFieldList();
    },
    mounted() {
      this.show()
    },
    computed: {

      importExcelUrl: function(){
        return `${window._CONFIG['domianURL']}/${this.url.importExcelUrl}`;
      },
    },
    methods: {
      handleEdit: function (record) {
        this.$refs.modalForm.edit(record);
        this.$refs.modalForm.title = "编辑";
        this.$refs.modalForm.disableSubmit = false;
      },
      handleAdd1: function () {
        getAction("/qcsb/qcSsgqzysytdqk/selectUser").then(res=>{
          if(res.result!=null){
            debugger
           this.dkxx=res.result
            this.$refs.modalForm.add1();
            this.$refs.modalForm.title = "新增";
            this.$refs.modalForm.disableSubmit = false;
          }else if(res.result==null){
            this.$refs.modalForm.add();
            this.$refs.modalForm.title = "新增";
            this.$refs.modalForm.disableSubmit = false;
          }
        })

      },



      show(){
        getAction("/qcsb.qyxx/qcQyxx/dlr").then(res => {
          if (res.success) {
            if(res.result=='gzw'){
              this.dl=true
            }
          }
        })
      }
      ,
        handleSB(id){
            getAction(this.url.sfsb,{id:id}).then(res => {
                if (res.success) {
                    this.$message.success('上报成功');
                    this.loadData();
                }
            })

        },
        handleCH(id){
            getAction(this.url.sfch,{id:id}).then(res => {
                if (res.success) {
                    this.$message.success('撤回成功');
                    this.loadData();
                }
            })

        },
      handleStag(){
        this.$refs.modalStage.add1()
      },
      initDictConfig(){
        loadCategoryData({code:'A04'}).then((res) => {
          if (res.success) {
            console.log(res.result)
            this.$set(this.dictOptions, 'sjyt', res.result)
          }
        })
      },
      getSuperFieldList(){
        let fieldList=[];
        fieldList.push({type:'string',value:'dk',text:'地块',dictCode:''})
        fieldList.push({type:'string',value:'wjlx',text:'文件类型',dictCode:'wjlx'})
        fieldList.push({type:'string',value:'wjbh',text:'证书/合同/文件编号',dictCode:''})
        fieldList.push({type:'string',value:'tdsyqr',text:'土地使用权人',dictCode:''})
        fieldList.push({type:'double',value:'sjzytdmj',text:'实际占用土地面积',dictCode:''})
        fieldList.push({type:'double',value:'qzpzsymj',text:'其中批准使用面积',dictCode:''})
        fieldList.push({type:'double',value:'sjsyjzmj',text:'实际使用建筑面积',dictCode:''})
        fieldList.push({type:'double',value:'qzpzsymj2',text:'其中批准使用面积',dictCode:''})
        fieldList.push({type:'double',value:'sjrjl',text:'容积率',dictCode:''})
        fieldList.push({type:'string',value:'syqsyfs',text:'使用权使用方式',dictCode:'syqsyfs'})
        fieldList.push({type:'string',value:'zlwz',text:'坐落位置',dictCode:''})
        fieldList.push({type:'string',value:'sjyt',text:'实际用途',dictCode:'tdyt'})
        fieldList.push({type:'date',value:'qsqssj',text:'权属起始时间'})
        fieldList.push({type:'date',value:'qsdqsj',text:'权属到期时间'})
        fieldList.push({type:'string',value:'tdsyxz',text:'土地使用现状',dictCode:'tdsyxz'})
        fieldList.push({type:'list_multi',value:'dbdycfqk',text:'担保、抵押、查封情况',dictTable:"", dictText:'', dictCode:'dbdycfqk'})
        fieldList.push({type:'string',value:'bz',text:'备注',dictCode:''})
        fieldList.push({type:'string',value:'xgwj',text:'附件材料',dictCode:''})
        fieldList.push({type:'int',value:'sfsb',text:'是否上报',dictCode:'xxsbzt'})
        this.superFieldList = fieldList
      }
    }
  }
</script>
<style scoped>
  @import '~@assets/less/common.less';
</style>